App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
mhr.appandroid.displayer.DisplayerTouchNavigator.ScaleListener Class Reference

Implementuje posun dvěma prsty a zoom. More...

Inheritance diagram for mhr.appandroid.displayer.DisplayerTouchNavigator.ScaleListener:

## Public Member Functions
boolean | onScaleBegin (ScaleGestureDetector detector)
| Zahájení dvoudotykového gesta, uložení aktuální souřadnice pro posun.
boolean | onScale (ScaleGestureDetector detector)
| Zpracování dvoudotykového gesta - posun a zvětšení.
void | onScaleEnd (ScaleGestureDetector detector)
| Konec dvoudotykového gesta, nedělá nic.

## Detailed Description

Implementuje posun dvěma prsty a zoom.

Definition at line 50 of file DisplayerTouchNavigator.java.

## Member Function Documentation

boolean mhr.appandroid.displayer.DisplayerTouchNavigator.ScaleListener.onScale | ( | ScaleGestureDetector | detector | ) |
| inline

Zpracování dvoudotykového gesta - posun a zvětšení.

Definition at line 62 of file DisplayerTouchNavigator.java.

{
final float x = detector.getFocusX();
final float y = detector.getFocusY();
disp.movePositionBy(x - lastX, y - lastY);
lastX = x;
lastY = y;
disp.adjustZoom(detector.getScaleFactor(), x, y);
return true;
}

boolean mhr.appandroid.displayer.DisplayerTouchNavigator.ScaleListener.onScaleBegin | ( | ScaleGestureDetector | detector | ) |
| inline

Zahájení dvoudotykového gesta, uložení aktuální souřadnice pro posun.

Definition at line 54 of file DisplayerTouchNavigator.java.

{
lastX = detector.getFocusX();
lastY = detector.getFocusY();
return true;
}

void mhr.appandroid.displayer.DisplayerTouchNavigator.ScaleListener.onScaleEnd | ( | ScaleGestureDetector | detector | ) |
| inline

Konec dvoudotykového gesta, nedělá nic.

Definition at line 74 of file DisplayerTouchNavigator.java.

{
}

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appandroid/src/mhr/appandroid/displayer/DisplayerTouchNavigator.java